#ifndef __KPBITMAPWIDGET_H
#define __KPBITMAPWIDGET_H

#include <qwidget.h>
#include <qbitmap.h>


class KPBitmapWidget : public QWidget
{
    Q_OBJECT
public:
    KPBitmapWidget(QWidget *parent=0, const char *name=0);
    ~KPBitmapWidget(){;}
    void setBitmap(QBitmap *bitmap);
    QBitmap* bitmap();
    void increaseScale();
    void decreaseScale();
    void reset();
signals:
    void scaleChanged(const QString &str);
    void zoomInEnabled(bool en);
    void zoomOutEnabled(bool en);
protected:
    void paintEvent(QPaintEvent *ev);
    float cellExtent;
    QBitmap *cBmp;
};


#endif

